Subject: Re: bug#55578: 29.0.50; auto-revert-use-notify vs 'git checkout -- <file>'

From: Michael Albinus <[email-masked]>
Date: Wed, 29 Jun 2022 15:38:28 +0200

Michael Albinus <[email-masked]> writes:

Hi,

>> What we could implement is a mechanism, which checks while polling,
>> whether file notifications could be instantiated instead. This does not
>> need to be restricted to the case, that the file was deleted and then
>> created, again. It could be activated for any auto-revert polling
>> activitiy, and it must be an opt-in to be configured by the user. Or at
>> least restricted to use cases where it would make sense, like monitoring
>> a git repository. For example a minor mode `auto-revert-restart-notify-mode'.
>
> Oops, I've just retested. Looks like we have already this. While
> polling, auto-revert-buffer checks already whether it could
> (re-)activate file notification for that file.
>
> So there's nothing left to do, right?

No response for weeks, so I assume it's OK. I'm closing the bug. Feel
free to reply if you believe there're still problems.

Best regards, Michael.